vty-5.25.1: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Output.TerminfoBased

Description

Terminfo-based terminal output driver.

Copyright Corey O'Connor (coreyoconnor@gmail.com)

Synopsis

- reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> m Output

# Documentation

reserveTerminal :: (Applicative m, MonadIO m) => String -> Fd -> m Output Source #

Constructs an output driver that uses terminfo for all control codes. While this should provide the most compatible terminal, terminfo does not support some features that would increase efficiency and improve compatibility:

- determining the character encoding supported by the terminal. Should this be taken from the LANG environment variable?
- Providing independent string capabilities for all display attributes.